---
title: <munder>
slug: Web/MathML/Element/munder
tags:
  - MathML
  - MathML Reference
  - 'MathML:Element'
  - 'MathML:Script and Limit Schemata'
---
<div>{{MathMLRef}}</div>

<p class="summary">The MathML <code>&lt;munder&gt;</code> element is used to attach an accent or a limit under an expression. It uses the following syntax: <code>&lt;munder&gt; <em>base underscript</em> &lt;/munder&gt;</code></p>

<h2 id="Attributes">Attributes</h2>

<dl>
 <dt id="attr-accentunder">accentunder</dt>
 <dd>If <code>true</code>, the element is an <em>accent</em>, which is drawn closer to the base expression.<br>
 If <code>false</code> (default value), the element is a <em>limit</em> under the base expression.</dd>
 <dt id="attr-align">align {{deprecated_inline}}</dt>
 <dd>The alignment of the underscript. Possible values are: <code>left</code>, <code>center</code>, and <code>right</code>.<br>
 This attribute is deprecated and will be removed in the future. Use CSS <code><a href="/en-US/docs/Web/CSS/text-align">text-align</a></code> instead.</dd>
 <dt id="attr-class-id-style">class, id, style</dt>
 <dd>Provided for use with <a href="/en-US/docs/CSS">stylesheets</a>.</dd>
 <dt id="attr-displaystyle"><code>displaystyle</code></dt>
 <dd>A Boolean value specifying whether more vertical space is used for displayed equations or, if set to <code>false</code>, a more compact layout is used to display formulas. The main effect is that larger versions of operators are displayed, when <code>displaystyle</code> is set to <code>true</code>. See also <code>largeop</code> and <code>movablelimits</code> on {{ MathMLElement("mo") }}.</dd>
 <dt id="attr-href">href</dt>
 <dd>Used to set a hyperlink to a specified URI.</dd>
 <dt id="attr-mathbackground">mathbackground</dt>
 <dd>The background color. You can use <code>#rgb</code>, <code>#rrggbb</code> and <a href="/en-US/docs/CSS/color_value#Color_Keywords">HTML color names</a>.</dd>
 <dt id="attr-mathcolor">mathcolor</dt>
 <dd>The text color. You can use <code>#rgb</code>, <code>#rrggbb</code> and <a href="/en-US/docs/CSS/color_value#Color_Keywords">HTML color names</a>.</dd>
</dl>

<h2 id="Examples">Examples</h2>

<p>Sample rendering: <img alt="x+y+z" src="/files/3197/munder.png" style="margin-left: 10px; vertical-align: middle;"></p>

<p>Rendering in your browser: <math> <munder accentunder="true"> <mrow> <mi> x </mi> <mo> + </mo> <mi> y </mi> <mo> + </mo> <mi> z </mi> </mrow> <mo> ⏟ </mo> </munder> </math></p>

<pre class="brush: html notranslate">&lt;math&gt;

&lt;munder accentunder="true"&gt;
  &lt;mrow&gt;
    &lt;mi&gt; x &lt;/mi&gt;
    &lt;mo&gt; + &lt;/mo&gt;
    &lt;mi&gt; y &lt;/mi&gt;
    &lt;mo&gt; + &lt;/mo&gt;
    &lt;mi&gt; z &lt;/mi&gt;
  &lt;/mrow&gt;
  &lt;mo&gt; &amp;#x23DF; &lt;!--BOTTOM CURLY BRACKET--&gt; &lt;/mo&gt;
&lt;/munder&gt;

&lt;/math&gt;
</pre>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <thead>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
 </thead>
 <tbody>
  <tr>
   <td>{{SpecName("MathMLCore", "#underscripts-and-overscripts-munder-mover-munderover", "munder")}}</td>
   <td>{{Spec2("MathMLCore")}}</td>
   <td>Draft specification</td>
  </tr>
  <tr>
   <td>{{ SpecName('MathML3', 'chapter3.html#presm.munder', 'munder') }}</td>
   <td>{{ Spec2('MathML3') }}</td>
   <td>Current specification</td>
  </tr>
  <tr>
   <td>{{ SpecName('MathML2', 'chapter3.html#presm.munder', 'munder') }}</td>
   <td>{{ Spec2('MathML2') }}</td>
   <td>Initial specification</td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p>{{Compat("mathml.elements.munder")}}</p>

<h2 id="See_also">See also</h2>

<ul>
 <li>{{ MathMLElement("mover") }} (Overscript)</li>
 <li>{{ MathMLElement("munderover") }} (Underscript-overscript pair)</li>
</ul>
